#include <SDL/SDL.h>
#include "sound.h"
#include "box.h"
#include "wiimote.h"

typedef struct Groovy Groovy;
struct Groovy {
  int       particle;
  Track    *track;
  int       life;
};

void set_music(Music *new_music);
void key_down_event(SDL_KeyboardEvent *event);
void key_up_event(SDL_KeyboardEvent *event);
void tick_sound_event(int numsync);
void wiimote_event(struct wiimote_t *wiimote);
int get_groovy_index(int shape, int level);
void init_controller();

