#include <SDL/SDL.h>

int frame_ticks;
int last_frame_ticks;
int start_ticks;
int current_ticks;

void init_timer()
{
  start_ticks = SDL_GetTicks();
  last_frame_ticks = start_ticks;
}

void update_timer()
{
  current_ticks = SDL_GetTicks();
  frame_ticks = current_ticks - last_frame_ticks;
  last_frame_ticks = current_ticks;
}
